Bug 110614 - New port: emualtors/dynamips-devel, development version of dynamips, Cisco 7200/3600/2600 router emulator
New port: emualtors/dynamips-devel, development version of dynamips, Cisco 72...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-21 13:40 UTC by pol
Modified: 2007-03-26 10:40 UTC (History)
0 users

See Also:


Attachments
file.shar (13.94 KB, text/plain)
2007-03-21 13:40 UTC, pol
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description pol 2007-03-21 13:40:06 UTC
This is port for new, development version 0.2.7-RC1 "dynamips" Cisco 7200 router emulator.
This version dynamips allow use new Cisco router hardware platform emulation.
This port allow change local ip address for bind emulator in hypervisor mode.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2007-03-21 13:40:14 UTC
Class Changed
From-To: update->change-request

Fix category (new ports should be change-requests)
Comment 2 Martin Wilke freebsd_committer 2007-03-23 09:14:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 dfilter freebsd_committer 2007-03-26 10:37:18 UTC
miwi        2007-03-26 09:37:11 UTC

  FreeBSD ports repository

  Modified files:
    emulators            Makefile 
    emulators/dynamips-devel Makefile distinfo pkg-descr 
    emulators/dynamips-devel/files patch-Makefile patch-utils.h 
  Added files:
    emulators/dynamips-devel/files patch-README.hypervisor 
                                   patch-dynamips.1 
                                   patch-dynamips.c 
                                   patch-hypervisor.c 
                                   patch-hypervisor.h 
                                   patch-hypervisor_mode.7 
                                   patch-net.c patch-net.h 
  Removed files:
    emulators/dynamips-devel/files patch-nojit_trans.c 
  Log:
  - Add dynamips-devel
  
  Cisco 3600/7200 simulator.
  
  PR:             110614
  Submitted by:   Pavel Volkov<pol@opk.ru>
  Repocopy by:    marcus
  
  Revision  Changes    Path
  1.222     +1 -0      ports/emulators/Makefile
  1.14      +19 -8     ports/emulators/dynamips-devel/Makefile
  1.5       +3 -3      ports/emulators/dynamips-devel/distinfo
  1.8       +13 -12    ports/emulators/dynamips-devel/files/patch-Makefile
  1.1       +11 -0     ports/emulators/dynamips-devel/files/patch-README.hypervisor (new)
  1.1       +11 -0     ports/emulators/dynamips-devel/files/patch-dynamips.1 (new)
  1.1       +53 -0     ports/emulators/dynamips-devel/files/patch-dynamips.c (new)
  1.1       +20 -0     ports/emulators/dynamips-devel/files/patch-hypervisor.c (new)
  1.1       +10 -0     ports/emulators/dynamips-devel/files/patch-hypervisor.h (new)
  1.1       +11 -0     ports/emulators/dynamips-devel/files/patch-hypervisor_mode.7 (new)
  1.1       +38 -0     ports/emulators/dynamips-devel/files/patch-net.c (new)
  1.1       +10 -0     ports/emulators/dynamips-devel/files/patch-net.h (new)
  1.3       +0 -11     ports/emulators/dynamips-devel/files/patch-nojit_trans.c (dead)
  1.2       +15 -6     ports/emulators/dynamips-devel/files/patch-utils.h
  1.3       +2 -0      ports/emulators/dynamips-devel/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2007-03-26 10:38:47 UTC
State Changed
From-To: open->closed

Committed. Thanks!